Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706958 - sys-apps/bolt-0.8 : fails to build with -fno-common or gcc-10
Summary: sys-apps/bolt-0.8 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Matthew Thode ( prometheanfire )
URL: https://gitlab.freedesktop.org/bolt/b...
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:48 UTC by Toralf Förster
Modified: 2020-01-30 22:08 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.84 KB, text/plain)
2020-01-28 18:48 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,65.18 KB, text/plain)
2020-01-28 18:48 UTC, Toralf Förster
Details
environment (environment,88.49 KB, text/plain)
2020-01-28 18:48 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.94 KB, application/x-bzip)
2020-01-28 18:48 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,228 bytes, application/x-bzip)
2020-01-28 18:48 UTC, Toralf Förster
Details
sys-apps:bolt-0.8:20200128-141738.log (sys-apps:bolt-0.8:20200128-141738.log,53.42 KB, text/plain)
2020-01-28 18:49 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,23.69 KB, application/x-bzip)
2020-01-28 18:49 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:48:44 UTC
[35/101] x86_64-pc-linux-gnu-gcc -Iboltd@exe -I. -I../bolt-0.8 -I../bolt-0.8/boltd -I../bolt-0.8/common -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/polkit-1 -I/usr/include/gio-unix-2.0 -fdiagnostics-color=always -pipe -D_FILE_OFFSET_BITS=64 -std=gnu99 -fstack-protector-strong -Waggregate-return -Wunused -Warray-bounds -Wcast-align -Wclobbered -Wdeclaration-after-statement -Wempty-body -Wformat=2 -Wformat-nonliteral -Wformat-security -Wformat-signedness -Wignored-qualifiers -Wimplicit-function-declaration -Winit-self -Wmissing-declarations -Wmissing-format-attribute -Wmissing-include-dirs -Wmissing-noreturn -Wmissing-parameter-type -Wmissing-prototypes -Wnested-externs -Wno-discarded-qualifiers -Wno-missing-field-initializers -Wno-suggest-attribute=format -Wno-unused-parameter -Wold-style-definition -Woverride-init -Wpointer-arith -Wredundant-decls -Wreturn-type -Wshadow -Wsign-compare -Wstrict-aliasing=3 -Wstrict-prototypes -Wstringop-overflow -Wstringop-truncation -Wtype-limits -Wundef -Wuninitialized -Wunused-but-set-variable -Wwrite-strings -O2 -march=native -fno-common -pthread '-DG_LOG_DOMAIN="bolt"' -MD -MQ 'boltd@exe/boltd_bolt-daemon.c.o' -MF 'boltd@exe/boltd_bolt-daemon.c.o.d' -o 'boltd@exe/boltd_bolt-daemon.c.o' -c ../bolt-0.8/boltd/bolt-daemon.c
[36/101] x86_64-pc-linux-gnu-gcc  -o boltd 'boltd@exe/boltd_bolt-daemon.c.o' -Wl,--as-needed -Wl,--no-undefined -O2 -pipe -march=native -fno-common -Wl,-O1 -Wl,--as-needed -Wl,--start-group libdaemon.a libcommon.a /usr/lib64/libglib-2.0.so /usr/lib64/libgio-2.0.so /usr/lib64/libgobject-2.0.so /usr/lib64/libudev.so /usr/lib64/libpolkit-gobject-1.so -Wl,--end-group '-Wl,-rpath,$ORIGIN/' -Wl,-rpath-link,/var/tmp/portage/sys-apps/bolt-0.8/work/bolt-0.8-build/
FAILED: boltd 
x86_64-pc-linux-gnu-gcc  -o boltd 'boltd@exe/boltd_bolt-daemon.c.o' -Wl,--as-needed -Wl,--no-undefined -O2 -pipe -march=native -fno-common -Wl,-O1 -Wl,--as-needed -Wl,--start-group libdaemon.a libcommon.a /usr/lib64/libglib-2.0.so /usr/lib64/libgio-2.0.so /usr/lib64/libgobject-2.0.so /usr/lib64/libudev.so /usr/lib64/libpolkit-gobject-1.so -Wl,--end-group '-Wl,-rpath,$ORIGIN/' -Wl,-rpath-link,/var/tmp/portage/sys-apps/bolt-0.8/work/bolt-0.8-build/
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: libdaemon.a(boltd_bolt-power.c.o):(.bss+0x0): multiple definition of `BoltError'; libdaemon.a(boltd_bolt-manager.c.o):(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: libdaemon.a(boltd_bolt-device.c.o):(.bss+0x0): multiple definition of `BoltError'; libdaemon.a(boltd_bolt-manager.c.o):(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma-libressl-20200126-092715

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (uninstalled)
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 13:26:22 +0000

emerge -qpvO sys-apps/bolt
[ebuild  N    ] sys-apps/bolt-0.8  USE="-doc -systemd"
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:48:47 UTC
Created attachment 606836 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:48:50 UTC
Created attachment 606838 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:48:52 UTC
Created attachment 606840 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:48:55 UTC
Created attachment 606842 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:48:58 UTC
Created attachment 606844 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:49:01 UTC
Created attachment 606846 [details]
sys-apps:bolt-0.8:20200128-141738.log
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:49:04 UTC
Created attachment 606848 [details]
temp.tbz2
Comment 8 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2020-01-30 04:43:23 UTC
can you try with https://gitlab.freedesktop.org/bolt/bolt/merge_requests/210.patch (insert into /etc/portage/patches)?
Comment 9 Toralf Förster gentoo-dev 2020-01-30 19:31:32 UTC
(In reply to Matthew Thode ( prometheanfire ) from comment #8)
> can you try with
> https://gitlab.freedesktop.org/bolt/bolt/merge_requests/210.patch (insert
> into /etc/portage/patches)?

works fine
Comment 10 Larry the Git Cow gentoo-dev 2020-01-30 22:08:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5470d0a54d0057cddb5352d9c438cf661e7e2430

commit 5470d0a54d0057cddb5352d9c438cf661e7e2430
Author:     Matthew Thode <prometheanfire@gentoo.org>
AuthorDate: 2020-01-30 22:07:46 +0000
Commit:     Matthew Thode <prometheanfire@gentoo.org>
CommitDate: 2020-01-30 22:08:00 +0000

    sys-apps/bolt: fix building with gcc-10
    
    Closes: https://bugs.gentoo.org/706958
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>

 sys-apps/bolt/Manifest                             |  2 +-
 sys-apps/bolt/bolt-0.7.ebuild                      | 42 ----------------------
 .../bolt/{bolt-0.8.ebuild => bolt-0.8-r1.ebuild}   |  9 +++--
 3 files changed, 8 insertions(+), 45 deletions(-)